Subject: Re: [PATCH] usb: typec: Fix num_altmodes kernel-doc error

From: Greg KH <[email-masked]>
Date: Fri, 20 Nov 2020 09:41:21 +0100

On Thu, Nov 19, 2020 at 10:35:22PM -0800, Prashant Malani wrote:
> The commit to introduce the num_altmodes attribute for partner had an
> error where one of the parameters was named differently in the comment
> and the function signature. Fix the version in the comment to align with
> what is in the function signature.
> 
> This fixes the following htmldocs warning:
> 
> drivers/usb/typec/class.c:632: warning: Excess function parameter
> 'num_alt_modes' description in 'typec_partner_set_num_altmodes'
> 
> Fixes: a0ccdc4a77a1 ("usb: typec: Add number of altmodes partner attr")
> Signed-off-by: Prashant Malani <[email-masked]>

You forgot a "Reported-by:" tag here :(

I'll go add it by hand...

greg k-h